/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.timeline-block .heading,
.timeline-block .subheading {
  text-align: center;
}
.timeline-block .heading {
  margin: 0 0 2.8rem;
}
.timeline-block .timeline-container {
  grid-column: full-width-right;
}
.timeline-block .timeline {
  display: grid;
  grid-template-columns: repeat(var(--items-count), 45rem);
  grid-template-rows: auto 0.8rem auto;
  overflow-x: auto;
  position: relative;
  margin: 9rem 0 0;
  gap: 5rem 6rem;
}
.timeline-block .line {
  height: 0.8rem;
  background: linear-gradient(90deg, #E6F0DF 0%, #59C134 100%);
  grid-row: 2;
  grid-column: 1/-1;
}
.timeline-block .timeline-content {
  padding: 5.2rem 3.5rem;
  background-color: #f5f5f5;
  border-radius: 0.6rem;
  grid-row: 3;
  min-width: 45rem;
  width: 45rem;
  position: relative;
}
.timeline-block .timeline-content:before {
  content: "";
  position: absolute;
  top: -7.5rem;
  left: 0;
  width: 4rem;
  height: 4rem;
  background-color: #5ABF39;
  border-radius: 50%;
}
.timeline-block .timeline-content .timeline-heading {
  margin: 0 0 1.6rem;
}
.timeline-block .timeline-date {
  grid-row: 1;
}

@media (max-width: 768px) {
  .timeline-block .heading {
    margin: 0 0 1.8rem;
  }
  .timeline-block .timeline {
    grid-template-columns: repeat(var(--items-count), 35rem);
    grid-template-rows: auto 0.4rem auto;
    margin: 3rem 0 0;
    gap: 3rem 3rem;
  }
  .timeline-block .line {
    height: 0.4rem;
  }
  .timeline-block .timeline-content {
    padding: 2.5rem;
    min-width: 35rem;
    width: 35rem;
  }
  .timeline-block .timeline-content:before {
    content: "";
    position: absolute;
    top: -4.5rem;
    width: 2.5rem;
    height: 2.5rem;
  }
  .timeline-block .timeline-content .timeline-heading {
    margin: 0 0 0.8rem;
  }
}